.\"
.\" xdialdctl.c
.\"
.\" Manpage for xdialdctl
.\" 
.\" $Id: xdialdctl.man,v 1.4 1996/12/05 21:42:46 joe Exp $
.\" Copyright 1996 Joe B. Edmonds (joe@elem.com)
.\"
.TH XDIALDCTL 1  "15 November, 1996"
.SH NAME
xdialdctl \- X interface to diald.
.SH SYNOPSIS
.B xdialdctl
[-f <fifo_path>]
.SH DESCRIPTION
.B xdialdctl
is an Xt (Xaw) based utility which provides a simple GUI
interface to control diald.

IMPORTANT: In order for xdialdctl to work, diald must be started with
"fifo" option.  I suggest adding the words "fifo /etc/diald.fifo" to
your diald command line.  See the diald(8) manpage for a complete
discussion of the FIFO command channel.

.B xdialdctl
displays three buttons and a time-to-live indicator.

The
.B Force
button forces diald to bring its connection up (using the
control pipe "force" command).  When the
.B Force
button has been
pressed, it turns yellow, and toggles its state to become the
.B Unforce
button.  It also toggles the state of the
.B Connect/Disconnect
button (see below).

The
.B Unforce
button cancels the forced state (using the control pipe "unforce"
command) but does not hang up immediately.  It just allows diald to
hang up as usual when all of its packet TTLs drop to 0.

The "Connect/Disconnect" button asks diald to connect or disconnect
immediately.  Disconnecting is handy if you want to free your phone
line immediately for, say, an incoming fax.  Connecting is handy if
you want to get a jump on the dialing process (perhaps, like mine,
your modem/phone-company/ISP/all-of-the-above are a little on the slow
side), which can cause the added problem that some apps (I have
noticed ssh 1.2.14 has this problem, for instance) don't happily come
to life when the connection comes up.  Connecting manually can also be
useful in order to cause your /etc/ppp/ip-up script to be run.

The "Quit" button gets you out of the app.

The last button displays the maximum TTL of all packets noticed by
diald.  It effectively tells you how long before diald is going to
hang up.  Unless you're in "force" mode, in which case of course, the
connection will remain up forever, despite what this box says.

Finally, the background color of the entire window indicates whether
diald is currently connected:

connected = green, not connected = white
.SH OPTIONS
.IP \fB-f\fP \fIfifo\fP
Use this option to specify a path other than "/etc/diald.fifo" to
diald's FIFO command channel.
.SH BUGS
.B xdialdctl
cannot tell whether diald has been "forced" on by another
process such as diald-top, another instance of
.B xdialdctl
or "echo
force > /etc/diald.fifo".

This application is most useful for people who use diald the way I do:
to demand-dial my ISP.  If you just use it to keep a connection open
all the time, you probably don't have a need for this.
.SH AUTHOR
This program was written by Joe Edmonds (joe@elem.com) and may be
freely distributed under the terms of the GNU General Public License.
There is APSOLUTELY NO WARRANTY for this program.
.SH "SEE ALSO"
diald(8)
